Skip to main content
GET
Get Agent Tool

Authorizations

x-api-key
string
header
required

Path Parameters

agent_id
string
required
tool_id
string<uuid>
required

Response

Successful Response

Model for an agent tool configuration.

tool_name
string
required

Name of the tool

tool_type
string
required

Type of tool: 'built_in', 'mcp_server', 'external_tool'

id
string<uuid>
required

Unique identifier for the agent tool

agent_id
string<uuid>
required

ID of the agent this tool belongs to

created_at
string<date-time>
required

When the tool was configured

updated_at
string<date-time>
required

When the tool was last updated

configuration
Configuration · object | null

Tool-specific configuration settings

is_enabled
boolean
default:true

Whether the tool is enabled

mcp_server_id
string<uuid> | null

ID of the MCP server (if tool_type is 'mcp_server')

external_tool_connection_id
string<uuid> | null

ID of the external tool connection (if tool_type is 'external_tool')